Adding subtasks to "real" task (not "container" task)
Status: New Start date: 2010-08-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Imagine situation:

I am working on feature A. I am doing it several days, updating %Done, filling time log, writing comments, uploading files and so on. I

finish it. But now I see several other features/bugs that are based on feature A.

But if I add A.1, A.2... as subtasks of A, I lose Time tracking, Due date, % done and other features.

History

#1 - 2010-08-12 13:25 - Jan Nowak

So for example,

Total Hours of task should be Sum of all subtasks total hours PLUS task's own total hours

#2 - 2010-08-12 20:26 - Jean-Baptiste Barth

- Priority changed from Urgent to Low

Jan Nowak wrote:

But if I add A.1, A.2... as subtasks of A, I lose Time tracking, Due date, % done and other features.

 Ok, so don't do that. Move A into a more global issue for instance. The actual feature is actually here to compute those calculations for you, and it

would be a bit difficult or inefficient to do what you propose. It's not really a defect for me, it's just we don't use subtasks the same way.

Finally I don't think there's anything urgent here. Maybe it could be addressed in a later version. Thank you for reporting.

#3 - 2013-01-15 11:29 - Daniel Felix

- Tracker changed from Defect to Feature

This one is more likely a feature request.

But anyway... is this by design?

If we want to let this option, we should display some warning that these informations will be lost.

What do you think?
